#include <bits/stdc++.h>
using namespace std;
int main()
{
	int n,k,r;
	scanf("%i%i",&n,&k);
	int a[n+1000];
	for(int i=1;i<=n;i++)
	{
		scanf("%i",&a[i]);
		if(a[i]==k)
		{
			r=i+1;
			if(r>n)	r=1;
		}
	}
	printf("%i",a[r]);
	return 0;
}